Package com.arms.api.dashboard.service

## Class DashboardServiceImpl

- java.lang.Object
- - com.arms.api.dashboard.service.DashboardServiceImpl

- All Implemented Interfaces:
    `DashboardService`

      @Service
      public class DashboardServiceImpl
      extends java.lang.Object
      implements DashboardService

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DashboardServiceImpl()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.util.List<Top5AssigneeReqStatusInfoVO>` | `findTopNAssigneeReqStateInfo​(java.lang.String changeReqTableName, DashboardDTO dashboardDTO, java.lang.Integer topN)` |
    `java.util.List<TopNReqAssigneeVO>` | `findTopNReqAssignee​(DashboardDTO dashboardDTO, java.lang.Integer topN)` |
    `java.util.List<TreeMapWorkerVO>` | `findTreeMapChartDataV3​(ResourceWithVersionIdNamesDTO resourceWithVersionIdNamesDTO)` |
    `java.util.Map<java.lang.String,​RequirementJiraIssueAggregationResponse>` | `requirementsJiraIssueStatuses​(DashboardDTO dashboardDTO)` |
    `SankeyData` | `sankeyChartAPIWithTopN​(DashboardDTO dashboardDTO, java.lang.Integer topN)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DashboardServiceImpl

          public DashboardServiceImpl()

  - ### Method Detail

    - #### requirementsJiraIssueStatuses

          public java.util.Map<java.lang.String,​RequirementJiraIssueAggregationResponse> requirementsJiraIssueStatuses​(DashboardDTO dashboardDTO)

      Specified by:
        `requirementsJiraIssueStatuses` in interface `DashboardService`

    - #### sankeyChartAPIWithTopN

          public SankeyData sankeyChartAPIWithTopN​(DashboardDTO dashboardDTO,
                                                   java.lang.Integer topN)
                                            throws java.lang.Exception

      Specified by:
        `sankeyChartAPIWithTopN` in interface `DashboardService`
      Throws:
        `java.lang.Exception`

    - #### findTreeMapChartDataV3

          public java.util.List<TreeMapWorkerVO> findTreeMapChartDataV3​(ResourceWithVersionIdNamesDTO resourceWithVersionIdNamesDTO)
                                                                 throws java.lang.Exception

      Specified by:
        `findTreeMapChartDataV3` in interface `DashboardService`
      Throws:
        `java.lang.Exception`

    - #### findTopNReqAssignee

          public java.util.List<TopNReqAssigneeVO> findTopNReqAssignee​(DashboardDTO dashboardDTO,
                                                                       java.lang.Integer topN)

      Specified by:
        `findTopNReqAssignee` in interface `DashboardService`

    - #### findTopNAssigneeReqStateInfo

          public java.util.List<Top5AssigneeReqStatusInfoVO> findTopNAssigneeReqStateInfo​(java.lang.String changeReqTableName,
                                                                                          DashboardDTO dashboardDTO,
                                                                                          java.lang.Integer topN)
                                                                                   throws java.lang.Exception

      Specified by:
        `findTopNAssigneeReqStateInfo` in interface `DashboardService`
      Throws:
        `java.lang.Exception`